<script src="./Script.js"></script>

<template>
  <input
    type="text"
    class="form-control"
    v-model.trim="newValue"
    @input="$emit('input', newValue)"
    @blur="$emit('blur', newValue)"
    @keyup="$emit('keyup', newValue )"
    @keydown="$emit('keydown', newValue )"
    @focus="$emit('focus', newValue)"
  />
</template>
